# Maintainer: Antoni Aloy <aaloytorrens@gmail.com>
pkgname=t4kcommon
pkgver=0.1.1
pkgrel=0
pkgdesc="A library of code shared between tuxmath and tuxtype"
url="https://github.com/tux4kids/t4kcommon.git"
arch="all"
license="GPL-2.0-or-later"
makedepends="librsvg-dev libxml2-dev sdl_image-dev sdl_mixer-dev sdl_net-dev sdl_pango-dev"
subpackages="$pkgname-dev"
source="https://sourceforge.net/projects/aat-linux-repository/files/sources/alpine/t4kcommon/t4kcommon-$pkgver.tar.gz
	0001-declare_iconv_const.patch
	"

prepare() {
	default_prepare
	update_config_sub
	update_config_guess
}


build() {
	./configure \
		--build=$CBUILD \
		--host=$CHOST \
		--prefix=/usr
	make
}

check() {
	make check
}

package() {
	make DESTDIR="$pkgdir" install
}

sha512sums="f1b926dcdb4ae3a7bd45c9bcbe0ec2903798a1319f89c60685a7aa0e3a0a87b2ff7cc566c9847aaf7637f2bfe592a9d7f31a9977573c3893fbbab966c4b23770  t4kcommon-0.1.1.tar.gz
7eb5031dda1bf2e46753f8958f5dcad66420f834dc05112afcd50a8dbf1fc57a78ae95dd8be6a952f2e65e64197924d0682f848a986e32a3581d44e6372cd0c1  0001-declare_iconv_const.patch"
